Last Comment Bug 793888 - Separators in the message header pane toolbar are not visible, separator and space cannot be removed again from the header pane toolbar
: Separators in the message header pane toolbar are not visible, separator and ...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Theme (show other bugs)
: 11 Branch
: All All
: -- minor (vote)
: Thunderbird 18.0
Assigned To: Richard Marti (:Paenglab)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 15:51 PDT by Joachim Herb
Modified: 2012-10-05 11:21 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
patch (2.98 KB, patch)
2012-09-26 11:43 PDT, Richard Marti (:Paenglab)
bwinton: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Review

Description Joachim Herb 2012-09-24 15:51:42 PDT
Since between version 10.0.2 and 11.0.1 separators in the header pane toolbar have not been visible anymore. 

If you add a separator to the header pane toolbar (by using the customization drop down menu over the toolbar), the separator is not visible in the toolbar and it can't be removed anymore (other then by selecting default set). Instead an empty space is added to the toolbar.

Actually, (nearly) the same applies to the "space" button: After adding it to the header pane toolbar it cannot be removed anymore.

It worked with version 10.0.2 and does not work with 11.0.1. The problem still exists in the trunk.
Comment 1 rsx11m 2012-09-24 16:40:36 PDT
Is this a theme or actual toolbar/XUL-implementation problem?
Comment 2 Mark Banner (:standard8) 2012-09-25 00:36:32 PDT
Which platform? Mac has always been 1px wide...
Comment 3 Richard Marti (:Paenglab) 2012-09-25 00:53:03 PDT
I see this on XP. I'll check this evening if it also happens on Win7 and Linux.

Mark, the problem is the separator has a height of 0px. If you see the separator on OSX then OSX isn't affected by this problem.
Comment 4 rsx11m 2012-09-25 11:30:18 PDT
Same on Linux, it's impossible get the "hand" cursor over a separator when customizing the message-header toolbar.
Comment 5 Joachim Herb 2012-09-25 14:28:51 PDT
I see the problem on Windows 7
Comment 6 Richard Marti (:Paenglab) 2012-09-26 11:43:30 PDT
Created attachment 665069 [details] [diff] [review]
patch

I checked also under OSX and the separator isn't visible.

Adding the height make it visible. On main toolbar the separator is still stretched to full height.
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-10-01 10:11:29 PDT
Comment on attachment 665069 [details] [diff] [review]
patch

This seems to fix the problem, so ui-r=me.
And the code seems fine, too, so r=me.

Thanks,
Blake.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-10-01 16:21:55 PDT
https://hg.mozilla.org/comm-central/rev/e574e51bdd28
Comment 9 Richard Marti (:Paenglab) 2012-10-01 22:59:21 PDT
Comment on attachment 665069 [details] [diff] [review]
patch

[Approval Request Comment]
It's only a small CSS patch which could make user's life easier. But it's not so important when it doesn't land as it took 5 versions until the bug is found.
Comment 10 Florian Quèze [:florian] [:flo] 2012-10-05 11:21:23 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/31fc84ae271b

Note You need to log in before you can comment on or make changes to this bug.